de.dhbwstuttgart.syntaxtree.type

## Class DoubleType

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.type.Type
    - - de.dhbwstuttgart.syntaxtree.type.BaseType
      - - de.dhbwstuttgart.syntaxtree.type.DoubleType

All Implemented Interfaces:
  IItemWithOffset

    public class DoubleType
    extends BaseType

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.Type

`name, used`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`DoubleType(SyntaxTreeNode parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DoubleType` `clone()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
`boolean` `equals(java.lang.Object obj)` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.BaseType

`IsArray, setArray, TYPE`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.Type

`applyResultSet, checkTYPE, get_Name, get_UsedId, getChildren, getInvolvedTypePlaceholder, getName, getOffset, getSimpleName, getSuperWildcardTypes, getUnresolvedTPH, getVariableLength, involves, set_UsedId, setOffset, toString, Type2Key, Type2String`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DoubleType

    public DoubleType(SyntaxTreeNode parent)

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Overrides:
  `equals` in class `BaseType`
Parameters:
  `Object` -
Returns:

#### clone

    public DoubleType clone()

Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Specified by:
  `clone` in class `BaseType`
Returns:

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Overrides:
  `printJavaCode` in class `Type`